[Pkg-mono-svn-commits] rev 2398 - in mono/trunk/debian: . patches

Sebastian Dröge slomo-guest at costa.debian.org
Wed Apr 5 21:17:12 UTC 2006


Author: slomo-guest
Date: 2006-04-05 21:17:11 +0000 (Wed, 05 Apr 2006)
New Revision: 2398

Removed:
   mono/trunk/debian/patches/01_fix-mono-calls.dpatch
   mono/trunk/debian/patches/03_hppa_buildfix.dpatch
   mono/trunk/debian/patches/05_lib_linker.dpatch
   mono/trunk/debian/patches/07_no_libc_fun.dpatch
   mono/trunk/debian/patches/64bit_implicit_pointer_cast_fix.dpatch
   mono/trunk/debian/patches/amd64_compile_fix_r50553.dpatch
   mono/trunk/debian/patches/datetime_doparse_fix.dpatch
   mono/trunk/debian/patches/file-io.dpatch
   mono/trunk/debian/patches/fix_xsp2_inherits.dpatch
   mono/trunk/debian/patches/io_layer_fix_r50689.dpatch
   mono/trunk/debian/patches/s390_compile_fix.dpatch
Modified:
   mono/trunk/debian/changelog
   mono/trunk/debian/patches/00list
Log:
* removed old patches


Modified: mono/trunk/debian/changelog
===================================================================
--- mono/trunk/debian/changelog	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/changelog	2006-04-05 21:17:11 UTC (rev 2398)
@@ -71,6 +71,8 @@
     + debian/patches/resource-manager-boo.dpatch:
       - Fix the long outstanding breakage of boo. See
         http://bugzilla.ximian.com/show_bug.cgi?id=77242
+    + debian/patches/*:
+      - Removed all obsolete, old patches
 
  -- Debian Mono Group <pkg-mono-group at lists.alioth.debian.org>  Sun, 26 Mar 2006 19:22:47 +0100
 

Modified: mono/trunk/debian/patches/00list
===================================================================
--- mono/trunk/debian/patches/00list	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/00list	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,5 +1,4 @@
 remove_broken_dllmap_from_mono-shlib-cop.dpatch
 unix-end-point-serialize.dpatch
 unix-end-point-equals.dpatch
-file-io.dpatch
 resource-manager-boo.dpatch

Deleted: mono/trunk/debian/patches/01_fix-mono-calls.dpatch
===================================================================
--- mono/trunk/debian/patches/01_fix-mono-calls.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/01_fix-mono-calls.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,65 +0,0 @@
-#! /bin/sh -e
-## 01_fix-mono-calls.dpatch by Michael Schiansky <ms at debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: fix all cli/mono calls (See: #265521)
-## DP: thanks to: Dave Beckett <dave.beckett at bristol.ac.uk>
-
-if [ $# -lt 1 ]; then
-    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
-    exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
-
-case "$1" in
-    -patch) patch -p1 ${patch_opts} < $0;;
-    -unpatch) patch -R -p1 ${patch_opts} < $0;;
-    *)
-        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
-        exit 1;;
-esac
-
-exit 0
-
- at DPATCH@
-diff -urNad /home/ms/uprojects/pkg/mono/build/1.0.2/mcs/mcs-1.0.2/gmcs/Makefile mcs-1.0.2/gmcs/Makefile
---- /home/ms/uprojects/pkg/mono/build/1.0.2/mcs/mcs-1.0.2/gmcs/Makefile	2004-06-16 19:13:41.000000000 +0200
-+++ mcs-1.0.2/gmcs/Makefile	2004-09-24 17:47:42.000000000 +0200
-@@ -69,7 +69,7 @@
- dist-local: dist-default
- 
- gmcs.exe: $(all_sources)
--	MONO_PATH="../class/lib/net_2_0_bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" mono ../mcs/mcs.exe $(DEBUG_FLAGS) -2 /target:exe /debug /out:$@ $^
-+	MONO_PATH="../class/lib/net_2_0_bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" $(RUNTIME) ../mcs/mcs.exe $(DEBUG_FLAGS) -2 /target:exe /debug /out:$@ $^
- 
- gmcs2.exe: $(all_sources)
- 	MONO_PATH="../class/lib/net_2_0$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" time mcs -2 /target:exe /debug /out:$@ $^ $(DEBUG_FLAGS) 
-@@ -110,12 +110,12 @@
- 	@ $(FRIENDLY_TIME) $(RUNTIME) ./mcs2.exe $(USE_MCS_FLAGS) /target:exe /out:mcs3.exe $(all_sources) > /dev/null || (echo FAILED; exit 1)
- 	@ echo -n "corlib:  "
- 	@ rm -f ../class/lib/mscorlib.dll
--	@ (cd ../class/corlib ; make BOOTSTRAP_MCS="$(FRIENDLY_TIME) mono ../../mcs/mcs.exe" > /dev/null ) || (echo FAILED; exit 1)
-+	@ (cd ../class/corlib ; make BOOTSTRAP_MCS="$(FRIENDLY_TIME) $(RUNTIME) ../../mcs/mcs.exe" > /dev/null ) || (echo FAILED; exit 1)
- 
- do-corlib:
- 	@ echo -n "corlib:  "
- 	@ rm -f ../class/lib/mscorlib.dll
--	@ (cd ../class/corlib ; make BOOTSTRAP_MCS="$(FRIENDLY_TIME) mono ../../mcs/mcs.exe" > /dev/null ) || (echo FAILED; exit 1)
-+	@ (cd ../class/corlib ; make BOOTSTRAP_MCS="$(FRIENDLY_TIME) $(RUNTIME) ../../mcs/mcs.exe" > /dev/null ) || (echo FAILED; exit 1)
- 
- PROFILER=default
- 
-diff -urNad /home/ms/uprojects/pkg/mono/build/1.0.2/mcs/mcs-1.0.2/mcs/Makefile mcs-1.0.2/mcs/Makefile
---- /home/ms/uprojects/pkg/mono/build/1.0.2/mcs/mcs-1.0.2/mcs/Makefile	2004-05-24 12:37:00.000000000 +0200
-+++ mcs-1.0.2/mcs/Makefile	2004-09-24 17:47:36.000000000 +0200
-@@ -62,7 +62,7 @@
- do-corlib:
- 	@ echo -n "corlib:  "
- 	@ rm -f ../class/lib/mscorlib.dll
--	@ cd ../class/corlib ; $(MAKE) BOOTSTRAP_MCS="$(FRIENDLY_TIME) mono ../../mcs/mcs.exe" > /dev/null || (echo FAILED; exit 1)
-+	@ cd ../class/corlib ; $(MAKE) BOOTSTRAP_MCS="$(FRIENDLY_TIME) $(RUNTIME) ../../mcs/mcs.exe" > /dev/null || (echo FAILED; exit 1)
- 
- PROFILER=default
- 

Deleted: mono/trunk/debian/patches/03_hppa_buildfix.dpatch
===================================================================
--- mono/trunk/debian/patches/03_hppa_buildfix.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/03_hppa_buildfix.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,923 +0,0 @@
-#! /bin/sh -e
-## 03_hppa_buildfix.dpatch by Eduard Bloch <blade at debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
-if [ $# -lt 1 ]; then
-    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
-    exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
-
-case "$1" in
-    -patch) patch -p1 ${patch_opts} < $0;;
-    -unpatch) patch -R -p1 ${patch_opts} < $0;;
-    *)
-        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
-        exit 1;;
-esac
-
-exit 0
-
- at DPATCH@
-diff -urNad /home/inet/debian/dev/build-area/mono-0.31/mono/io-layer/hppa_atomic.S mono-0.31/mono/io-layer/hppa_atomic.S
---- /home/inet/debian/dev/build-area/mono-0.31/mono/io-layer/hppa_atomic.S	1970-01-01 01:00:00.000000000 +0100
-+++ mono-0.31/mono/io-layer/hppa_atomic.S	2004-04-07 00:58:13.000000000 +0200
-@@ -0,0 +1,263 @@
-+/*
-+    Copyright (c) 2003 Bernie Solomon <bernard at ugsolutions.com>
-+    
-+    Permission is hereby granted, free of charge, to any person obtaining
-+    a copy of this software and associated documentation files (the
-+    "Software"), to deal in the Software without restriction, including
-+    without limitation the rights to use, copy, modify, merge, publish,
-+    distribute, sublicense, and/or sell copies of the Software, and to
-+    permit persons to whom the Software is furnished to do so, subject to
-+    the following conditions:
-+    
-+    The above copyright notice and this permission notice shall be
-+    included in all copies or substantial portions of the Software.
-+    
-+    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-+    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-+    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-+    NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
-+    LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
-+    OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
-+    WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-+
-+
-+
-+    Implementation of "atomic" operations for HPPA. Currently (Oct 9th 2003)
-+    only implemented for 64 bit compiles. There is only one atomic
-+    instruction LDCW which is used to implement spinlocks. There are
-+    16 locks which are selected by taking 4 bits out of the address of
-+    the relevant variable to try to avoid too much contention
-+    for a single lock.
-+*/
-+#include "config.h"
-+
-+#ifdef __LP64__
-+#if SIZEOF_VOID_P != 8
-+#error "__LP64__ state and SIZEOF_VOID_P don't match!!"
-+#endif
-+#define EXPORT_ARGS ,NO_RELOCATION,LONG_RETURN
-+#define CALLINFO_ARGS ,ARGS_SAVED,ORDERING_AWARE
-+#define RETURN	bve,n (%rp)
-+#define LDPTR	ldd
-+#define STPTR	std
-+#else
-+#if SIZEOF_VOID_P != 4
-+#error "__LP64__ state and SIZEOF_VOID_P don't match!!"
-+#endif
-+#define CALLINFO_ARGS
-+#define EXPORT_ARGS
-+#define RETURN	bv,n (%rp)
-+#define LDPTR	ldw
-+#define STPTR	stw
-+#endif
-+        .code
-+
-+ .label	InterlockedIncrement
-+        .EXPORT InterlockedIncrement,ENTRY,PRIV_LEV=3 EXPORT_ARGS
-+        .PROC
-+        .CALLINFO FRAME=0 CALLINFO_ARGS
-+        .ENTRY
-+        ADDIL   L%locks-$global$,%dp
-+        LDO     R%locks-$global$(%r1),%r31
-+        EXTRU	%arg0,28,4,%r28
-+        ZDEP	%r28,27,28,%r29
-+        ADD,L   %r29,%r31,%r31
-+ .label	atomictest$1
-+        LDCW    0(%r31),%r29
-+        CMPB,<> %r0,%r29,gotlock$1
-+        NOP
-+ .label	spin$1
-+        LDW     0(%r31),%r29
-+        CMPB,=  %r29,%r0,spin$1
-+        NOP
-+        B,N     atomictest$1
-+ .label	gotlock$1
-+        LDW     0(%arg0),%ret0
-+        LDI     1,%r29
-+        LDO     1(%ret0),%ret0
-+        STW     %ret0,0(%arg0)
-+        STW     %r29,0(%r31)
-+        .EXIT
-+        RETURN
-+        .PROCEND
-+
-+ .label	InterlockedDecrement
-+        .EXPORT InterlockedDecrement,ENTRY,PRIV_LEV=3 EXPORT_ARGS
-+        .PROC
-+        .CALLINFO FRAME=0 CALLINFO_ARGS
-+        .ENTRY
-+        ADDIL   L%locks-$global$,%dp
-+        LDO     R%locks-$global$(%r1),%r31
-+        EXTRU	%arg0,28,4,%r28
-+        ZDEP	%r28,27,28,%r29
-+        ADD,L   %r29,%r31,%r31
-+ .label	atomictest$2
-+        LDCW    0(%r31),%r29
-+        CMPB,<>	%r0,%r29,gotlock$2
-+        NOP
-+ .label	spin$2
-+        LDW     0(%r31),%r29
-+        CMPB,=	%r29,%r0,spin$2
-+        NOP
-+        B,N     atomictest$2
-+ .label	gotlock$2
-+        LDW     0(%arg0),%ret0
-+        LDI     1,%r29
-+        LDO     -1(%ret0),%ret0
-+        STW     %ret0,0(%arg0)
-+        STW     %r29,0(%r31)
-+        .EXIT
-+        RETURN
-+        .PROCEND
-+
-+ .label	InterlockedExchange
-+        .EXPORT InterlockedExchange,ENTRY,PRIV_LEV=3 EXPORT_ARGS
-+        .PROC
-+        .CALLINFO FRAME=0 CALLINFO_ARGS
-+        .ENTRY
-+        ADDIL   L%locks-$global$,%dp
-+        LDO     R%locks-$global$(%r1),%r31
-+        EXTRU	%arg0,28,4,%r28
-+        ZDEP	%r28,27,28,%r29
-+        ADD,L   %r29,%r31,%r31
-+ .label	atomictest$3
-+        LDCW    0(%r31),%r29
-+        CMPB,<> %r0,%r29,gotlock$3
-+        NOP
-+ .label	spin$3
-+        LDW     0(%r31),%r29
-+        CMPB,=  %r29,%r0,spin$3
-+        NOP
-+        B,N     atomictest$3
-+ .label	gotlock$3
-+        LDW     0(%arg0),%ret0
-+        STW     %arg1,0(%arg0)
-+        LDI     1,%r29
-+        STW     %r29,0(%r31)
-+        .EXIT
-+        RETURN
-+        .PROCEND
-+
-+ .label	InterlockedExchangePointer
-+        .EXPORT InterlockedExchangePointer,ENTRY,PRIV_LEV=3 EXPORT_ARGS
-+        .PROC
-+        .CALLINFO FRAME=0 CALLINFO_ARGS
-+        .ENTRY
-+        ADDIL   L%locks-$global$,%dp
-+        LDO     R%locks-$global$(%r1),%r31
-+        EXTRU	%arg0,28,4,%r28
-+        ZDEP	%r28,27,28,%r29
-+        ADD,L   %r29,%r31,%r31
-+ .label	atomictest$4
-+        LDCW    0(%r31),%r29
-+        CMPB,<> %r0,%r29,gotlock$4
-+        NOP
-+ .label	spin$4
-+        LDW     0(%r31),%r29
-+        CMPB,=  %r29,%r0,spin$4
-+        NOP
-+        B,N     atomictest$4
-+ .label	gotlock$4
-+        LDPTR   0(%arg0),%ret0
-+        STPTR   %arg1,0(%arg0)
-+        LDI     1,%r29
-+        STW     %r29,0(%r31)
-+        .EXIT
-+        RETURN
-+        .PROCEND
-+
-+ .label	InterlockedCompareExchange
-+        .EXPORT InterlockedCompareExchange,ENTRY,PRIV_LEV=3 EXPORT_ARGS
-+        .PROC
-+        .CALLINFO FRAME=0 CALLINFO_ARGS
-+        .ENTRY
-+        ADDIL   L%locks-$global$,%dp
-+        LDO     R%locks-$global$(%r1),%r31
-+        EXTRU	%arg0,28,4,%r28
-+        ZDEP	%r28,27,28,%r29
-+        ADD,L   %r29,%r31,%r31
-+ .label	atomictest$5
-+        LDCW    0(%r31),%r29
-+        CMPB,<> %r0,%r29,gotlock$5
-+        NOP
-+ .label	spin$5
-+        LDW     0(%r31),%r29
-+        CMPB,=  %r29,%r0,spin$5
-+        NOP
-+        B,N     atomictest$5
-+ .label	gotlock$5
-+        LDW     0(%arg0),%ret0
-+        sub,<>	%ret0,%r24,%r0
-+        STW     %arg1,0(%arg0)		/* not done if %ret0 <> %r24 */
-+        LDI     1,%r29
-+        STW     %r29,0(%r31)
-+        .EXIT
-+        RETURN
-+        .PROCEND
-+
-+ .label	InterlockedCompareExchangePointer
-+        .EXPORT InterlockedCompareExchangePointer,ENTRY,PRIV_LEV=3 EXPORT_ARGS
-+        .PROC
-+        .CALLINFO FRAME=0 CALLINFO_ARGS
-+        .ENTRY
-+        ADDIL   L%locks-$global$,%dp
-+        LDO     R%locks-$global$(%r1),%r31
-+        EXTRU	%arg0,28,4,%r28
-+        ZDEP	%r28,27,28,%r29
-+        ADD,L   %r29,%r31,%r31
-+ .label	atomictest$6
-+        LDCW    0(%r31),%r29
-+        CMPB,<>	%r0,%r29,gotlock$6
-+        NOP
-+ .label	spin$6
-+        LDW     0(%r31),%r29
-+        CMPB,=  %r29,%r0,spin$6
-+        NOP
-+        B,N     atomictest$6
-+ .label	gotlock$6
-+        LDPTR   0(%arg0),%ret0
-+        sub,<>	%ret0,%r24,%r0
-+        STPTR   %arg1,0(%arg0)
-+        LDI     1,%r29
-+        STW     %r29,0(%r31)
-+        .EXIT
-+        RETURN
-+        .PROCEND
-+
-+
-+        .data
-+ .label	locks
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .ALIGN  16
-+        .STRING "\x00\x00\x00\x01"
-+        .IMPORT $global$,DATA
-+        .END
-diff -urNad /home/inet/debian/dev/build-area/mono-0.31/mono/io-layer/Makefile.am mono-0.31/mono/io-layer/Makefile.am
---- /home/inet/debian/dev/build-area/mono-0.31/mono/io-layer/Makefile.am	2004-04-07 00:57:51.000000000 +0200
-+++ mono-0.31/mono/io-layer/Makefile.am	2004-04-07 00:58:13.000000000 +0200
-@@ -107,7 +107,7 @@
- 	io-layer-dummy.c
- 
- HPPA_SRC = \
--	hppa_atomic.s
-+	hppa_atomic.S
- 
- if PLATFORM_WIN32
- libwapi_la_SOURCES = $(WINDOWS_SRC)
-diff -urNad /home/inet/debian/dev/build-area/mono-0.31/mono/io-layer/Makefile.in mono-0.31/mono/io-layer/Makefile.in
---- /home/inet/debian/dev/build-area/mono-0.31/mono/io-layer/Makefile.in	2004-04-07 00:57:51.000000000 +0200
-+++ mono-0.31/mono/io-layer/Makefile.in	2004-04-07 00:58:13.000000000 +0200
-@@ -232,7 +232,7 @@
- 
- 
- HPPA_SRC = \
--	hppa_atomic.s
-+	hppa_atomic.S
- 
- 
- @HPPA_FALSE@@PLATFORM_WIN32_FALSE at libwapi_la_SOURCES = $(OTHER_SRC)
-@@ -324,7 +324,7 @@
- 	  echo "rm -f \"$${dir}/so_locations\""; \
- 	  rm -f "$${dir}/so_locations"; \
- 	done
--libwapi_la-hppa_atomic.lo: hppa_atomic.s
-+libwapi_la-hppa_atomic.lo: hppa_atomic.S
- libwapi.la: $(libwapi_la_OBJECTS) $(libwapi_la_DEPENDENCIES) 
- 	$(LINK)  $(libwapi_la_LDFLAGS) $(libwapi_la_OBJECTS) $(libwapi_la_LIBADD) $(LIBS)
- 
-@@ -388,14 +388,14 @@
- .s.lo:
- 	$(LTCCASCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
- 
--libwapi_la-hppa_atomic.o: hppa_atomic.s
--	$(CCAS) $(libwapi_la_CCASFLAGS) $(CCASFLAGS) -c -o libwapi_la-hppa_atomic.o `test -f 'hppa_atomic.s' || echo '$(srcdir)/'`hppa_atomic.s
-+libwapi_la-hppa_atomic.o: hppa_atomic.S
-+	$(CCAS) $(libwapi_la_CCASFLAGS) $(CCASFLAGS) -c -o libwapi_la-hppa_atomic.o `test -f 'hppa_atomic.S' || echo '$(srcdir)/'`hppa_atomic.S
- 
--libwapi_la-hppa_atomic.obj: hppa_atomic.s
--	$(CCAS) $(libwapi_la_CCASFLAGS) $(CCASFLAGS) -c -o libwapi_la-hppa_atomic.obj `cygpath -w hppa_atomic.s`
-+libwapi_la-hppa_atomic.obj: hppa_atomic.S
-+	$(CCAS) $(libwapi_la_CCASFLAGS) $(CCASFLAGS) -c -o libwapi_la-hppa_atomic.obj `cygpath -w hppa_atomic.S`
- 
--libwapi_la-hppa_atomic.lo: hppa_atomic.s
--	$(LIBTOOL) --mode=compile $(CCAS) $(libwapi_la_CCASFLAGS) $(CCASFLAGS) -c -o libwapi_la-hppa_atomic.lo `test -f 'hppa_atomic.s' || echo '$(srcdir)/'`hppa_atomic.s
-+libwapi_la-hppa_atomic.lo: hppa_atomic.S
-+	$(LIBTOOL) --mode=compile $(CCAS) $(libwapi_la_CCASFLAGS) $(CCASFLAGS) -c -o libwapi_la-hppa_atomic.lo `test -f 'hppa_atomic.S' || echo '$(srcdir)/'`hppa_atomic.S
- 
- mostlyclean-libtool:
- 	-rm -f *.lo
-diff -urNad /home/inet/debian/dev/build-area/mono-0.31/mono/io-layer/Makefile.in.orig mono-0.31/mono/io-layer/Makefile.in.orig
---- /home/inet/debian/dev/build-area/mono-0.31/mono/io-layer/Makefile.in.orig	1970-01-01 01:00:00.000000000 +0100
-+++ mono-0.31/mono/io-layer/Makefile.in.orig	2004-04-07 00:57:51.000000000 +0200
-@@ -0,0 +1,573 @@
-+# Makefile.in generated by automake 1.6.3 from Makefile.am.
-+# @configure_input@
-+
-+# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
-+# Free Software Foundation, Inc.
-+# This Makefile.in is free software; the Free Software Foundation
-+# gives unlimited permission to copy and/or distribute it,
-+# with or without modifications, as long as this notice is preserved.
-+
-+# This program is distributed in the hope that it will be useful,
-+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-+# PARTICULAR PURPOSE.
-+
-+ at SET_MAKE@
-+SHELL = @SHELL@
-+
-+srcdir = @srcdir@
-+top_srcdir = @top_srcdir@
-+VPATH = @srcdir@
-+prefix = @prefix@
-+exec_prefix = @exec_prefix@
-+
-+bindir = @bindir@
-+sbindir = @sbindir@
-+libexecdir = @libexecdir@
-+datadir = @datadir@
-+sysconfdir = @sysconfdir@
-+sharedstatedir = @sharedstatedir@
-+localstatedir = @localstatedir@
-+libdir = @libdir@
-+infodir = @infodir@
-+mandir = @mandir@
-+includedir = @includedir@
-+oldincludedir = /usr/include
-+pkgdatadir = $(datadir)/@PACKAGE@
-+pkglibdir = $(libdir)/@PACKAGE@
-+pkgincludedir = $(includedir)/@PACKAGE@
-+top_builddir = ../..
-+
-+ACLOCAL = @ACLOCAL@
-+AUTOCONF = @AUTOCONF@
-+AUTOMAKE = @AUTOMAKE@
-+AUTOHEADER = @AUTOHEADER@
-+
-+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-+INSTALL = @INSTALL@
-+INSTALL_PROGRAM = @INSTALL_PROGRAM@
-+INSTALL_DATA = @INSTALL_DATA@
-+install_sh_DATA = $(install_sh) -c -m 644
-+install_sh_PROGRAM = $(install_sh) -c
-+install_sh_SCRIPT = $(install_sh) -c
-+INSTALL_SCRIPT = @INSTALL_SCRIPT@
-+INSTALL_HEADER = $(INSTALL_DATA)
-+transform = @program_transform_name@
-+NORMAL_INSTALL = :
-+PRE_INSTALL = :
-+POST_INSTALL = :
-+NORMAL_UNINSTALL = :
-+PRE_UNINSTALL = :
-+POST_UNINSTALL = :
-+build_alias = @build_alias@
-+build_triplet = @build@
-+host_alias = @host_alias@
-+host_triplet = @host@
-+target_alias = @target_alias@
-+target_triplet = @target@
-+
-+EXEEXT = @EXEEXT@
-+OBJEXT = @OBJEXT@
-+PATH_SEPARATOR = @PATH_SEPARATOR@
-+AMTAR = @AMTAR@
-+AS = @AS@
-+AWK = @AWK@
-+BISON = @BISON@
-+BUILD_EXEEXT = @BUILD_EXEEXT@
-+BUILD_GLIB_CFLAGS = @BUILD_GLIB_CFLAGS@
-+BUILD_GLIB_LIBS = @BUILD_GLIB_LIBS@
-+BUNDLE_FILE = @BUNDLE_FILE@
-+CC = @CC@
-+CCAS = @CCAS@
-+CCASFLAGS = @CCASFLAGS@
-+CC_FOR_BUILD = @CC_FOR_BUILD@
-+CFLAGS = @CFLAGS@
-+CPPFLAGS = @CPPFLAGS@
-+DEPDIR = @DEPDIR@
-+DISABLE_SHARED_HANDLES = @DISABLE_SHARED_HANDLES@
-+DLLTOOL = @DLLTOOL@
-+ECHO = @ECHO@
-+GLIB_CFLAGS = @GLIB_CFLAGS@
-+GLIB_LIBS = @GLIB_LIBS@
-+GMODULE_CFLAGS = @GMODULE_CFLAGS@
-+GMODULE_LIBS = @GMODULE_LIBS@
-+HAVE_BOEHM_GC = @HAVE_BOEHM_GC@
-+HOST_CC = @HOST_CC@
-+ICU_CFLAGS = @ICU_CFLAGS@
-+ICU_CONFIG = @ICU_CONFIG@
-+ICU_LIBS = @ICU_LIBS@
-+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-+LDFLAGS = @LDFLAGS@
-+LIBC = @LIBC@
-+LIBGC_CFLAGS = @LIBGC_CFLAGS@
-+LIBGC_LIBS = @LIBGC_LIBS@
-+LIBTOOL = @LIBTOOL@
-+LN_S = @LN_S@
-+MAINT = @MAINT@
-+OBJDUMP = @OBJDUMP@
-+PACKAGE = @PACKAGE@
-+PKG_CONFIG = @PKG_CONFIG@
-+RANLIB = @RANLIB@
-+STRIP = @STRIP@
-+VERSION = @VERSION@
-+am__include = @am__include@
-+am__quote = @am__quote@
-+arch_target = @arch_target@
-+install_sh = @install_sh@
-+libgc_dir = @libgc_dir@
-+libmono_cflags = @libmono_cflags@
-+libmono_ldflags = @libmono_ldflags@
-+libsuffix = @libsuffix@
-+noinst_LTLIBRARIES = libwapi.la
-+
-+INCLUDES = \
-+	$(GLIB_CFLAGS)		\
-+	$(GMODULE_CFLAGS)	\
-+	$(LIBGC_CFLAGS)		\
-+	-DMONO_BINDIR=\""$(bindir)"\"	\
-+	-I$(top_srcdir)	
-+
-+
-+libwapiincludedir = $(includedir)/mono/io-layer
-+
-+OTHER_H = \
-+	access.h	\
-+	atomic.h	\
-+	context.h	\
-+	critical-sections.h	\
-+	error.h		\
-+	events.h	\
-+	handles.h	\
-+	io.h		\
-+	io-layer.h	\
-+	macros.h	\
-+	mono-mutex.h	\
-+	mutexes.h	\
-+	processes.h	\
-+	semaphores.h	\
-+	sockets.h	\
-+	status.h	\
-+	system.h	\
-+	threads.h	\
-+	timefuncs.h	\
-+	types.h		\
-+	uglify.h	\
-+	versioninfo.h	\
-+	wait.h		\
-+	wapi.h	
-+
-+
-+OTHER_SRC = \
-+	access.h		\
-+	atomic.c		\
-+	atomic.h		\
-+	context.c		\
-+	context.h		\
-+	critical-sections.c	\
-+	critical-sections.h	\
-+	daemon.c		\
-+	daemon-private.h	\
-+	daemon-messages.c	\
-+	daemon-messages.h	\
-+	error.c			\
-+	error.h			\
-+	events.c		\
-+	events.h		\
-+	event-private.h		\
-+	handles.c		\
-+	handles.h		\
-+	handles-private.h	\
-+	io.c			\
-+	io.h			\
-+	io-private.h		\
-+	io-layer.h		\
-+	macros.h		\
-+	misc.c			\
-+	misc-private.h		\
-+	mutexes.c		\
-+	mutexes.h		\
-+	mutex-private.h		\
-+	mono-mutex.c		\
-+	mono-mutex.h		\
-+	mono-spinlock.h		\
-+	processes.c		\
-+	processes.h		\
-+	process-private.h	\
-+	semaphores.c		\
-+	semaphores.h		\
-+	semaphore-private.h	\
-+	shared.c		\
-+	shared.h		\
-+	sockets.c		\
-+	sockets.h		\
-+	socket-private.h	\
-+	socket-wrappers.h	\
-+	status.h		\
-+	system.c		\
-+	system.h		\
-+	threads.c		\
-+	threads.h		\
-+	thread-private.h	\
-+	timefuncs.c		\
-+	timefuncs.h		\
-+	timefuncs-private.h	\
-+	timed-thread.c		\
-+	timed-thread.h		\
-+	types.h			\
-+	uglify.h		\
-+	versioninfo.h		\
-+	wait.c			\
-+	wait.h			\
-+	wapi.h			\
-+	wapi-private.h
-+
-+
-+WINDOWS_H = \
-+	io-layer.h
-+
-+
-+WINDOWS_SRC = \
-+	io-layer.h		\
-+	io-layer-dummy.c
-+
-+
-+HPPA_SRC = \
-+	hppa_atomic.s
-+
-+
-+ at HPPA_FALSE@@PLATFORM_WIN32_FALSE at libwapi_la_SOURCES = $(OTHER_SRC)
-+ at HPPA_TRUE@@PLATFORM_WIN32_FALSE at libwapi_la_SOURCES = $(OTHER_SRC) $(HPPA_SRC)
-+ at PLATFORM_WIN32_TRUE@libwapi_la_SOURCES = $(WINDOWS_SRC)
-+ at PLATFORM_WIN32_TRUE@libwapiinclude_HEADERS = $(WINDOWS_H)
-+ at PLATFORM_WIN32_FALSE@libwapiinclude_HEADERS = $(OTHER_H)
-+# to enable pick up of config.h
-+ at HPPA_TRUE@@PLATFORM_WIN32_FALSE at libwapi_la_CCASFLAGS = -I$(top_builddir)
-+
-+EXTRA_DIST = \
-+	$(WINDOWS_SRC)	\
-+        $(HPPA_SRC) \
-+	$(OTHER_SRC)
-+
-+subdir = mono/io-layer
-+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
-+CONFIG_HEADER = $(top_builddir)/config.h
-+CONFIG_CLEAN_FILES =
-+LTLIBRARIES = $(noinst_LTLIBRARIES)
-+
-+libwapi_la_LDFLAGS =
-+libwapi_la_LIBADD =
-+am__objects_1 = atomic.lo context.lo critical-sections.lo daemon.lo \
-+	daemon-messages.lo error.lo events.lo handles.lo io.lo misc.lo \
-+	mutexes.lo mono-mutex.lo processes.lo semaphores.lo shared.lo \
-+	sockets.lo system.lo threads.lo timefuncs.lo timed-thread.lo \
-+	wait.lo
-+am__objects_2 = libwapi_la-hppa_atomic.lo
-+am__objects_3 = io-layer-dummy.lo
-+ at HPPA_FALSE@@PLATFORM_WIN32_FALSE at am_libwapi_la_OBJECTS = \
-+ at HPPA_FALSE@@PLATFORM_WIN32_FALSE@	$(am__objects_1)
-+ at HPPA_TRUE@@PLATFORM_WIN32_FALSE at am_libwapi_la_OBJECTS = \
-+ at HPPA_TRUE@@PLATFORM_WIN32_FALSE@	$(am__objects_1) \
-+ at HPPA_TRUE@@PLATFORM_WIN32_FALSE@	$(am__objects_2)
-+ at PLATFORM_WIN32_TRUE@am_libwapi_la_OBJECTS = $(am__objects_3)
-+libwapi_la_OBJECTS = $(am_libwapi_la_OBJECTS)
-+
-+DEFS = @DEFS@
-+DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
-+LIBS = @LIBS@
-+depcomp = $(SHELL) $(top_srcdir)/depcomp
-+am__depfiles_maybe = depfiles
-+ at AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/atomic.Plo ./$(DEPDIR)/context.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/critical-sections.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/daemon-messages.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/daemon.Plo ./$(DEPDIR)/error.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/events.Plo ./$(DEPDIR)/handles.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/io-layer-dummy.Plo ./$(DEPDIR)/io.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/misc.Plo ./$(DEPDIR)/mono-mutex.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/mutexes.Plo ./$(DEPDIR)/processes.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/semaphores.Plo ./$(DEPDIR)/shared.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/sockets.Plo ./$(DEPDIR)/system.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/threads.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/timed-thread.Plo \
-+ at AMDEP_TRUE@	./$(DEPDIR)/timefuncs.Plo ./$(DEPDIR)/wait.Plo
-+COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-+	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-+LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
-+	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-+CCLD = $(CC)
-+LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-+	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-+CCASCOMPILE = $(CCAS) $(AM_CCASFLAGS) $(CCASFLAGS)
-+LTCCASCOMPILE = $(LIBTOOL) --mode=compile $(CCAS) $(AM_CCASFLAGS) \
-+	$(CCASFLAGS)
-+DIST_SOURCES = $(libwapi_la_SOURCES)
-+HEADERS = $(libwapiinclude_HEADERS)
-+
-+DIST_COMMON = $(libwapiinclude_HEADERS) ChangeLog Makefile.am \
-+	Makefile.in
-+SOURCES = $(libwapi_la_SOURCES)
-+
-+all: all-am
-+
-+.SUFFIXES:
-+.SUFFIXES: .c .lo .o .obj .s
-+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
-+	cd $(top_srcdir) && \
-+	  $(AUTOMAKE) --gnu  mono/io-layer/Makefile
-+Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
-+	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
-+
-+clean-noinstLTLIBRARIES:
-+	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
-+	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
-+	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-+	  test -z "$dir" && dir=.; \
-+	  echo "rm -f \"$${dir}/so_locations\""; \
-+	  rm -f "$${dir}/so_locations"; \
-+	done
-+libwapi_la-hppa_atomic.lo: hppa_atomic.s
-+libwapi.la: $(libwapi_la_OBJECTS) $(libwapi_la_DEPENDENCIES) 
-+	$(LINK)  $(libwapi_la_LDFLAGS) $(libwapi_la_OBJECTS) $(libwapi_la_LIBADD) $(LIBS)
-+
-+mostlyclean-compile:
-+	-rm -f *.$(OBJEXT) core *.core
-+
-+distclean-compile:
-+	-rm -f *.tab.c
-+
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/atomic.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/context.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/critical-sections.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/daemon-messages.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/daemon.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/error.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/events.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/handles.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/io-layer-dummy.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/io.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/misc.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/mono-mutex.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/mutexes.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/processes.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/semaphores.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/shared.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/sockets.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/system.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/threads.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/timed-thread.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/timefuncs.Plo at am__quote@
-+ at AMDEP_TRUE@@am__include@ @am__quote at ./$(DEPDIR)/wait.Plo at am__quote@
-+
-+distclean-depend:
-+	-rm -rf ./$(DEPDIR)
-+
-+.c.o:
-+ at AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-+ at AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
-+ at AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-+	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<
-+
-+.c.obj:
-+ at AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-+ at AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
-+ at AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-+	$(COMPILE) -c `cygpath -w $<`
-+
-+.c.lo:
-+ at AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-+ at AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
-+ at AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-+	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
-+CCDEPMODE = @CCDEPMODE@
-+
-+.s.o:
-+	$(CCASCOMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<
-+
-+.s.obj:
-+	$(CCASCOMPILE) -c `cygpath -w $<`
-+
-+.s.lo:
-+	$(LTCCASCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
-+
-+libwapi_la-hppa_atomic.o: hppa_atomic.s
-+	$(CCAS) $(libwapi_la_CCASFLAGS) $(CCASFLAGS) -c -o libwapi_la-hppa_atomic.o `test -f 'hppa_atomic.s' || echo '$(srcdir)/'`hppa_atomic.s
-+
-+libwapi_la-hppa_atomic.obj: hppa_atomic.s
-+	$(CCAS) $(libwapi_la_CCASFLAGS) $(CCASFLAGS) -c -o libwapi_la-hppa_atomic.obj `cygpath -w hppa_atomic.s`
-+
-+libwapi_la-hppa_atomic.lo: hppa_atomic.s
-+	$(LIBTOOL) --mode=compile $(CCAS) $(libwapi_la_CCASFLAGS) $(CCASFLAGS) -c -o libwapi_la-hppa_atomic.lo `test -f 'hppa_atomic.s' || echo '$(srcdir)/'`hppa_atomic.s
-+
-+mostlyclean-libtool:
-+	-rm -f *.lo
-+
-+clean-libtool:
-+	-rm -rf .libs _libs
-+
-+distclean-libtool:
-+	-rm -f libtool
-+uninstall-info-am:
-+libwapiincludeHEADERS_INSTALL = $(INSTALL_HEADER)
-+install-libwapiincludeHEADERS: $(libwapiinclude_HEADERS)
-+	@$(NORMAL_INSTALL)
-+	$(mkinstalldirs) $(DESTDIR)$(libwapiincludedir)
-+	@list='$(libwapiinclude_HEADERS)'; for p in $$list; do \
-+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-+	  f="`echo $$p | sed -e 's|^.*/||'`"; \
-+	  echo " $(libwapiincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(libwapiincludedir)/$$f"; \
-+	  $(libwapiincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(libwapiincludedir)/$$f; \
-+	done
-+
-+uninstall-libwapiincludeHEADERS:
-+	@$(NORMAL_UNINSTALL)
-+	@list='$(libwapiinclude_HEADERS)'; for p in $$list; do \
-+	  f="`echo $$p | sed -e 's|^.*/||'`"; \
-+	  echo " rm -f $(DESTDIR)$(libwapiincludedir)/$$f"; \
-+	  rm -f $(DESTDIR)$(libwapiincludedir)/$$f; \
-+	done
-+
-+ETAGS = etags
-+ETAGSFLAGS =
-+
-+tags: TAGS
-+
-+ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
-+	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
-+	unique=`for i in $$list; do \
-+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-+	  done | \
-+	  $(AWK) '    { files[$$0] = 1; } \
-+	       END { for (i in files) print i; }'`; \
-+	mkid -fID $$unique
-+
-+TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
-+		$(TAGS_FILES) $(LISP)
-+	tags=; \
-+	here=`pwd`; \
-+	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
-+	unique=`for i in $$list; do \
-+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-+	  done | \
-+	  $(AWK) '    { files[$$0] = 1; } \
-+	       END { for (i in files) print i; }'`; \
-+	test -z "$(ETAGS_ARGS)$$tags$$unique" \
-+	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-+	     $$tags $$unique
-+
-+GTAGS:
-+	here=`$(am__cd) $(top_builddir) && pwd` \
-+	  && cd $(top_srcdir) \
-+	  && gtags -i $(GTAGS_ARGS) $$here
-+
-+distclean-tags:
-+	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
-+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-+
-+top_distdir = ../..
-+distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
-+
-+distdir: $(DISTFILES)
-+	@list='$(DISTFILES)'; for file in $$list; do \
-+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-+	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-+	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-+	    dir="/$$dir"; \
-+	    $(mkinstalldirs) "$(distdir)$$dir"; \
-+	  else \
-+	    dir=''; \
-+	  fi; \
-+	  if test -d $$d/$$file; then \
-+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-+	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
-+	    fi; \
-+	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
-+	  else \
-+	    test -f $(distdir)/$$file \
-+	    || cp -p $$d/$$file $(distdir)/$$file \
-+	    || exit 1; \
-+	  fi; \
-+	done
-+check-am: all-am
-+check: check-am
-+all-am: Makefile $(LTLIBRARIES) $(HEADERS)
-+
-+installdirs:
-+	$(mkinstalldirs) $(DESTDIR)$(libwapiincludedir)
-+
-+install: install-am
-+install-exec: install-exec-am
-+install-data: install-data-am
-+uninstall: uninstall-am
-+
-+install-am: all-am
-+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-+
-+installcheck: installcheck-am
-+install-strip:
-+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-+	  INSTALL_STRIP_FLAG=-s \
-+	  `test -z '$(STRIP)' || \
-+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-+mostlyclean-generic:
-+
-+clean-generic:
-+
-+distclean-generic:
-+	-rm -f Makefile $(CONFIG_CLEAN_FILES)
-+
-+maintainer-clean-generic:
-+	@echo "This command is intended for maintainers to use"
-+	@echo "it deletes files that may require special tools to rebuild."
-+clean: clean-am
-+
-+clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
-+	mostlyclean-am
-+
-+distclean: distclean-am
-+
-+distclean-am: clean-am distclean-compile distclean-depend \
-+	distclean-generic distclean-libtool distclean-tags
-+
-+dvi: dvi-am
-+
-+dvi-am:
-+
-+info: info-am
-+
-+info-am:
-+
-+install-data-am: install-libwapiincludeHEADERS
-+
-+install-exec-am:
-+
-+install-info: install-info-am
-+
-+install-man:
-+
-+installcheck-am:
-+
-+maintainer-clean: maintainer-clean-am
-+
-+maintainer-clean-am: distclean-am maintainer-clean-generic
-+
-+mostlyclean: mostlyclean-am
-+
-+mostlyclean-am: mostlyclean-compile mostlyclean-generic \
-+	mostlyclean-libtool
-+
-+uninstall-am: uninstall-info-am uninstall-libwapiincludeHEADERS
-+
-+.PHONY: GTAGS all all-am check check-am clean clean-generic \
-+	clean-libtool clean-noinstLTLIBRARIES distclean \
-+	distclean-compile distclean-depend distclean-generic \
-+	distclean-libtool distclean-tags distdir dvi dvi-am info \
-+	info-am install install-am install-data install-data-am \
-+	install-exec install-exec-am install-info install-info-am \
-+	install-libwapiincludeHEADERS install-man install-strip \
-+	installcheck installcheck-am installdirs maintainer-clean \
-+	maintainer-clean-generic mostlyclean mostlyclean-compile \
-+	mostlyclean-generic mostlyclean-libtool tags uninstall \
-+	uninstall-am uninstall-info-am uninstall-libwapiincludeHEADERS
-+
-+# Tell versions [3.59,3.63) of GNU make to not export all variables.
-+# Otherwise a system limit (for SysV at least) may be exceeded.
-+.NOEXPORT:

Deleted: mono/trunk/debian/patches/05_lib_linker.dpatch
===================================================================
--- mono/trunk/debian/patches/05_lib_linker.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/05_lib_linker.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,47 +0,0 @@
-#! /bin/sh -e
-## 05_lib_linker.dpatch by Eduard Bloch <blade at debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
-if [ $# -lt 1 ]; then
-    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
-    exit 1
-fi
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
-
-case "$1" in
-    -patch) patch -p1 ${patch_opts} < $0;;
-    -unpatch) patch -R -p1 ${patch_opts} < $0;;
-    *)
-        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
-        exit 1;;
-esac
-
-exit 0
-
- at DPATCH@
-diff -urNad /tmp/mono-1.0/mono/mini/Makefile.am mono-1.0/mono/mini/Makefile.am
---- /tmp/mono-1.0/mono/mini/Makefile.am	2004-06-08 21:22:16.000000000 +0200
-+++ mono-1.0/mono/mini/Makefile.am	2004-08-08 19:41:48.000000000 +0200
-@@ -171,7 +171,7 @@
- libmonoinclude_HEADERS = jit.h
- 
- libmono_la_LIBADD = \
--	$(libs)
-+	$(libs) $(GLIB_LIBS) $(GMODULE_LIBS) -ldl
- 
- %.exe: %.cs TestDriver.dll
- 	$(MCS) /unsafe $< /r:TestDriver.dll
-diff -urNad /tmp/mono-1.0/mono/profiler/Makefile.am mono-1.0/mono/profiler/Makefile.am
---- /tmp/mono-1.0/mono/profiler/Makefile.am	2003-07-01 11:35:48.000000000 +0200
-+++ mono-1.0/mono/profiler/Makefile.am	2004-08-08 19:42:28.000000000 +0200
-@@ -11,5 +11,5 @@
- endif
- 
- libmono_profiler_cov_la_SOURCES = mono-cov.c
--libmono_profiler_cov_la_LIBADD = $(top_builddir)/mono/mini/libmono.la
-+libmono_profiler_cov_la_LIBADD = $(top_builddir)/mono/mini/libmono.la $(GLIB_LIBS) $(GMODULE_LIBS) -ldl
- 

Deleted: mono/trunk/debian/patches/07_no_libc_fun.dpatch
===================================================================
--- mono/trunk/debian/patches/07_no_libc_fun.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/07_no_libc_fun.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,19 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 07_no_libc_fun.dpatch by Mirco Bauer <meebey at meebey.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
- at DPATCH@
-diff -urNad mono-1.1.6/libgc/os_dep.c /tmp/dpep.XXSckM/mono-1.1.6/libgc/os_dep.c
---- mono-1.1.6/libgc/os_dep.c	2005-03-30 23:23:15.000000000 +0200
-+++ /tmp/dpep.XXSckM/mono-1.1.6/libgc/os_dep.c	2005-04-16 17:19:07.286471504 +0200
-@@ -939,7 +939,7 @@
-     /* since the correct value of __libc_stack_end never	*/
-     /* becomes visible to us.  The second test works around 	*/
-     /* this.							*/  
--      if (0 != &__libc_stack_end && 0 != __libc_stack_end ) {
-+      if (0) {
- #       ifdef IA64
- 	  /* Some versions of glibc set the address 16 bytes too	*/
- 	  /* low while the initialization code is running.		*/

Deleted: mono/trunk/debian/patches/64bit_implicit_pointer_cast_fix.dpatch
===================================================================
--- mono/trunk/debian/patches/64bit_implicit_pointer_cast_fix.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/64bit_implicit_pointer_cast_fix.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,18 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 64bit_implicit_pointer_cast_fix.dpatch by Mirco Bauer <meebey at meebey.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
- at DPATCH@
-diff -urNad mono-1.1.9.1~/mono/dis/get.h mono-1.1.9.1/mono/dis/get.h
---- mono-1.1.9.1~/mono/dis/get.h	2005-08-25 17:12:40.000000000 +0200
-+++ mono-1.1.9.1/mono/dis/get.h	2005-10-02 16:53:55.000000000 +0200
-@@ -44,6 +44,7 @@
- char *dis_stringify_method_signature (MonoImage *m, MonoMethodSignature *method, int methoddef_row,
- 				      MonoGenericContext *context, gboolean fully_qualified);
- char *dis_stringify_function_ptr (MonoImage *m, MonoMethodSignature *method);
-+char *dis_stringify_marshal_spec (MonoMarshalSpec *spec);
- 
- guint32 method_dor_to_token (guint32 idx);
- 

Deleted: mono/trunk/debian/patches/amd64_compile_fix_r50553.dpatch
===================================================================
--- mono/trunk/debian/patches/amd64_compile_fix_r50553.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/amd64_compile_fix_r50553.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,30 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## amd64_compile_fix_r50553.dpatch by Mirco Bauer <meebey at meebey.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
- at DPATCH@
-diff -urNad mono-1.1.9.1~/mono/utils/ChangeLog mono-1.1.9.1/mono/utils/ChangeLog
---- mono-1.1.9.1~/mono/utils/ChangeLog	2005-09-07 21:56:14.000000000 +0200
-+++ mono-1.1.9.1/mono/utils/ChangeLog	2005-09-28 11:33:19.000000000 +0200
-@@ -1,3 +1,7 @@
-+2005-09-12  Zoltan Varga  <vargaz at freemail.hu>
-+
-+	* mono-compiler.h (MONO_THREAD_VAR_OFFSET): Fix compilation on amd64
-+	with recent binutils.
- 
- Wed Sep 7 21:23:18 BST 2005 Paolo Molaro <lupus at ximian.com>
- 
-diff -urNad mono-1.1.9.1~/mono/utils/mono-compiler.h mono-1.1.9.1/mono/utils/mono-compiler.h
---- mono-1.1.9.1~/mono/utils/mono-compiler.h	2005-08-27 16:36:10.000000000 +0200
-+++ mono-1.1.9.1/mono/utils/mono-compiler.h	2005-09-28 11:33:19.000000000 +0200
-@@ -27,7 +27,7 @@
- #if defined(PIC)
- #define MONO_THREAD_VAR_OFFSET(var,offset) (offset) = -1
- #else
--#define MONO_THREAD_VAR_OFFSET(var,offset) __asm ("jmp 1f; .section writetext, \"awx\"; 1: movl $" #var "@TPOFF, %0; jmp 2f; .previous; 2:" : "=r" (offset));
-+#define MONO_THREAD_VAR_OFFSET(var,offset) do { guint64 foo;  __asm ("jmp 1f; .section writetext, \"awx\"; 1: movq $" #var "@TPOFF, %0; jmp 2f; .previous; 2:" : "=a" (foo)); offset = foo; } while (0);
- #endif
- #elif defined(__ia64__) && !defined(__INTEL_COMPILER)
- #define MONO_THREAD_VAR_OFFSET(var,offset) __asm ("addl %0 = @tprel(" #var "#), r0 ;;\n" : "=r" (offset));

Deleted: mono/trunk/debian/patches/datetime_doparse_fix.dpatch
===================================================================
--- mono/trunk/debian/patches/datetime_doparse_fix.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/datetime_doparse_fix.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,19 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## datetime_doparse_fix.dpatch by Mirco Bauer <meebey at meebey.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
- at DPATCH@
-diff -urNad --exclude=CVS --exclude=.svn ./mcs/class/corlib/System/DateTime.cs /tmp/dpep-work.TvWOd3/mono-1.1.9/mcs/class/corlib/System/DateTime.cs
---- ./mcs/class/corlib/System/DateTime.cs	2005-09-06 19:31:04.000000000 +0200
-+++ /tmp/dpep-work.TvWOd3/mono-1.1.9/mcs/class/corlib/System/DateTime.cs	2005-09-24 16:19:05.000000000 +0200
-@@ -1307,7 +1307,7 @@
- 
- 			long newticks = (result.ticks - utcoffset).Ticks;
- 
--			result = new DateTime (newticks);
-+			result = new DateTime (false, new TimeSpan (newticks));
- 			if (use_localtime)
- 				result = result.ToLocalTime ();
- 

Deleted: mono/trunk/debian/patches/file-io.dpatch
===================================================================
--- mono/trunk/debian/patches/file-io.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/file-io.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,34 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-
- at DPATCH@
-
---- mono/mono/metadata/file-io.c	2006/02/28 18:14:03	57409
-+++ mono/mono/metadata/file-io.c	2006/03/24 16:50:25	58447
-@@ -6,7 +6,7 @@
-  *	Gonzalo Paniagua Javier (gonzalo at ximian.com)
-  *
-  * (C) 2001,2002,2003 Ximian, Inc.
-- * Copyright (c) 2004,2005 Novell, Inc. (http://www.novell.com)
-+ * Copyright (c) 2004,2005,2006 Novell, Inc. (http://www.novell.com)
-  */
- 
- #include <config.h>
-@@ -337,7 +337,7 @@
- 	if (result == -1)
- 		return FALSE;
- 
--	if ((buf.st_mode & S_IFLNK) != 0) {
-+	if (S_ISLNK (buf.st_mode)) {
- 		result = stat (filename, &linkbuf);
- 		if (result != -1) {
- 			buf = linkbuf;
-@@ -351,7 +351,7 @@
- 		buf.st_mode &= ~S_IFSOCK; /* don't consider socket protection */
- 
- 	file_attrs = 0;
--	if ((buf.st_mode & S_IFDIR) != 0)
-+	if (S_ISDIR (buf.st_mode))
- 		file_attrs |= FILE_ATTRIBUTE_DIRECTORY;
- 	else
- 		file_attrs |= FILE_ATTRIBUTE_ARCHIVE;
-

Deleted: mono/trunk/debian/patches/fix_xsp2_inherits.dpatch
===================================================================
--- mono/trunk/debian/patches/fix_xsp2_inherits.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/fix_xsp2_inherits.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,31 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## fix_xsp2_inherits.dpatch by Dylan R. E. Moonfire <debian at mfgames.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Temporarily corrects the problem with XSP2 using inherits working 
-## DP: properly. This patch reverts that specific XSP2 code to XSP until 
-## DB: it functions properly from the SVN.
-
- at DPATCH@
-
-diff -ru mono-1.1.9.1.orig/mcs/class/System.Web/System.Web.UI/TemplateParser.cs mono-1.1.9.1/mcs/class/System.Web/System.Web.UI/TemplateParser.cs
---- mono-1.1.9.1.orig/mcs/class/System.Web/System.Web.UI/TemplateParser.cs	2005-10-14 08:23:32.000000000 -0500
-+++ mono-1.1.9.1/mcs/class/System.Web/System.Web.UI/TemplateParser.cs	2005-10-14 08:24:53.000000000 -0500
-@@ -428,16 +428,13 @@
- 				srcAssembly = GetAssemblyFromSource (src);
- 
- 			string inherits = GetString (atts, "Inherits", null);
--#if NET_2_0
--			className = inherits;
--#else
-+
- 			if (inherits != null)
- 				SetBaseType (inherits);
- 
- 			className = GetString (atts, "ClassName", null);
- 			if (className != null && !CodeGenerator.IsValidLanguageIndependentIdentifier (className))
- 				ThrowParseException (String.Format ("'{0}' is not valid for 'className'", className));
--#endif
- 
- 			if (atts.Count > 0)
- 				ThrowParseException ("Unknown attribute: " + GetOneKey (atts));

Deleted: mono/trunk/debian/patches/io_layer_fix_r50689.dpatch
===================================================================
--- mono/trunk/debian/patches/io_layer_fix_r50689.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/io_layer_fix_r50689.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,226 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## io_layer_fix_r50689.dpatch by Mirco Bauer <meebey at meebey.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
- at DPATCH@
-diff -urNad mono-1.1.9.1~/mono/io-layer/ChangeLog mono-1.1.9.1/mono/io-layer/ChangeLog
---- mono-1.1.9.1~/mono/io-layer/ChangeLog	2005-09-20 23:32:39.000000000 +0200
-+++ mono-1.1.9.1/mono/io-layer/ChangeLog	2005-09-27 11:36:28.000000000 +0200
-@@ -1,3 +1,11 @@
-+2005-09-23  Dick Porter  <dick at ximian.com>
-+
-+	* processes.c: Don't wait for processes that have already been
-+	signalled; also fix typo.
-+
-+	* handles.c: Improve locking inside new handle and handle
-+	searching functions.
-+
- 2005-09-20  Dick Porter  <dick at ximian.com>
- 
- 	* collection.c: 
-diff -urNad mono-1.1.9.1~/mono/io-layer/handles.c mono-1.1.9.1/mono/io-layer/handles.c
---- mono-1.1.9.1~/mono/io-layer/handles.c	2005-06-21 15:53:09.000000000 +0200
-+++ mono-1.1.9.1/mono/io-layer/handles.c	2005-09-27 11:34:37.000000000 +0200
-@@ -351,10 +351,6 @@
- 		_wapi_private_handle_count += _WAPI_HANDLE_INITIAL_COUNT;
- 	}
- 		
--	thr_ret = mono_mutex_unlock (&scan_mutex);
--	g_assert (thr_ret == 0);
--	pthread_cleanup_pop (0);
--		
- 	/* Make sure we left the space for fd mappings */
- 	g_assert (handle_idx >= _wapi_fd_reserve);
- 	
-@@ -375,7 +371,8 @@
- 							  handle_specific);
- 			if (offset == 0) {
- 				/* FIXME: grow the arrays */
--				return (_WAPI_HANDLE_INVALID);
-+				handle = _WAPI_HANDLE_INVALID;
-+				goto done;
- 			}
- 		}
- 		
-@@ -386,7 +383,8 @@
- 
- 			if (ref == 0) {
- 				/* FIXME: grow the arrays */
--				return (_WAPI_HANDLE_INVALID);
-+				handle = _WAPI_HANDLE_INVALID;
-+				goto done;
- 			}
- 		}
- 		
-@@ -396,6 +394,11 @@
- 			   ref);
- #endif
- 	}
-+		
-+done:
-+	thr_ret = mono_mutex_unlock (&scan_mutex);
-+	g_assert (thr_ret == 0);
-+	pthread_cleanup_pop (0);
- 	
- 	return(handle);
- }
-@@ -403,7 +406,7 @@
- gpointer _wapi_handle_new_from_offset (WapiHandleType type, guint32 offset)
- {
- 	guint32 handle_idx = 0;
--	gpointer handle;
-+	gpointer handle = INVALID_HANDLE_VALUE;
- 	int thr_ret, i, k;
- 	
- 	mono_once (&shared_init_once, shared_init);
-@@ -417,6 +420,11 @@
- 	g_assert(_WAPI_SHARED_HANDLE(type));
- 	g_assert(offset != 0);
- 		
-+	pthread_cleanup_push ((void(*)(void *))mono_mutex_unlock_in_cleanup,
-+			      (void *)&scan_mutex);
-+	thr_ret = mono_mutex_lock (&scan_mutex);
-+	g_assert (thr_ret == 0);
-+
- 	for (i = SLOT_INDEX (0); _wapi_private_handles [i] != NULL; i++) {
- 		for (k = SLOT_OFFSET (0); k < _WAPI_HANDLE_INITIAL_COUNT; k++) {
- 			struct _WapiHandleUnshared *handle_data = &_wapi_private_handles [i][k];
-@@ -424,14 +432,24 @@
- 			if (handle_data->type == type &&
- 			    handle_data->u.shared.offset == offset) {
- 				handle = GUINT_TO_POINTER (i * _WAPI_HANDLE_INITIAL_COUNT + k);
--				_wapi_handle_ref (handle);
-+				goto first_pass_done;
-+			}
-+		}
-+	}
-+
-+first_pass_done:
-+	thr_ret = mono_mutex_unlock (&scan_mutex);
-+	g_assert (thr_ret == 0);
-+	pthread_cleanup_pop (0);
-+
-+	if (handle != INVALID_HANDLE_VALUE) {
-+		_wapi_handle_ref (handle);
- 
- #ifdef DEBUG
--				g_message ("%s: Returning old handle %p referencing 0x%x", __func__, handle, offset);
-+		g_message ("%s: Returning old handle %p referencing 0x%x",
-+			   __func__, handle, offset);
- #endif
--				return (handle);
--			}
--		}
-+		return (handle);
- 	}
- 
- 	pthread_cleanup_push ((void(*)(void *))mono_mutex_unlock_in_cleanup,
-@@ -713,8 +731,13 @@
- 	gpointer ret = NULL;
- 	guint32 i, k;
- 	gboolean found = FALSE;
-+	int thr_ret;
- 
--
-+	pthread_cleanup_push ((void(*)(void *))mono_mutex_unlock_in_cleanup,
-+			      (void *)&scan_mutex);
-+	thr_ret = mono_mutex_lock (&scan_mutex);
-+	g_assert (thr_ret == 0);
-+	
- 	for (i = SLOT_INDEX (0); !found && _wapi_private_handles [i] != NULL; i++) {
- 		for (k = SLOT_OFFSET (0); k < _WAPI_HANDLE_INITIAL_COUNT; k++) {
- 			handle_data = &_wapi_private_handles [i][k];
-@@ -729,6 +752,10 @@
- 		}
- 	}
- 
-+	thr_ret = mono_mutex_unlock (&scan_mutex);
-+	g_assert (thr_ret == 0);
-+	pthread_cleanup_pop (0);
-+
- 	if (!found && _WAPI_SHARED_HANDLE (type)) {
- 		/* Not found yet, so search the shared memory too */
- #ifdef DEBUG
-@@ -1564,7 +1591,13 @@
- {
- 	struct _WapiHandleUnshared *handle_data;
- 	guint32 i, k;
--
-+	int thr_ret;
-+	
-+	pthread_cleanup_push ((void(*)(void *))mono_mutex_unlock_in_cleanup,
-+			      (void *)&scan_mutex);
-+	thr_ret = mono_mutex_lock (&scan_mutex);
-+	g_assert (thr_ret == 0);
-+	
- 	for(i = SLOT_INDEX (0); _wapi_private_handles [i] != NULL; i++) {
- 		for (k = SLOT_OFFSET (0); k < _WAPI_HANDLE_INITIAL_COUNT; k++) {
- 			handle_data = &_wapi_private_handles [i][k];
-@@ -1582,6 +1615,10 @@
- 			g_print ("\n");
- 		}
- 	}
-+
-+	thr_ret = mono_mutex_unlock (&scan_mutex);
-+	g_assert (thr_ret == 0);
-+	pthread_cleanup_pop (0);
- }
- 
- static void _wapi_shared_details (gpointer handle_info)
-@@ -1602,6 +1639,10 @@
- 	thr_ret = _wapi_shm_sem_lock (_WAPI_SHARED_SEM_SHARE);
- 	g_assert(thr_ret == 0);
- 
-+	pthread_cleanup_push ((void(*)(void *))mono_mutex_unlock_in_cleanup,
-+			      (void *)&scan_mutex);
-+	thr_ret = mono_mutex_lock (&scan_mutex);
-+	
- 	for(i = SLOT_INDEX (0); _wapi_private_handles [i] != NULL; i++) {
- 		for (k = SLOT_OFFSET (0); k < _WAPI_HANDLE_INITIAL_COUNT; k++) {
- 			struct _WapiHandleUnshared *handle = &_wapi_private_handles [i][k];
-@@ -1644,6 +1685,10 @@
- 			}
- 		}
- 	}
-+
-+	thr_ret = mono_mutex_unlock (&scan_mutex);
-+	g_assert (thr_ret == 0);
-+	pthread_cleanup_pop (0);
- 	
- 	thr_ret = _wapi_shm_sem_unlock (_WAPI_SHARED_SEM_SHARE);
- 
-diff -urNad mono-1.1.9.1~/mono/io-layer/processes.c mono-1.1.9.1/mono/io-layer/processes.c
---- mono-1.1.9.1~/mono/io-layer/processes.c	2005-09-20 23:32:39.000000000 +0200
-+++ mono-1.1.9.1/mono/io-layer/processes.c	2005-09-27 11:34:37.000000000 +0200
-@@ -97,6 +97,11 @@
- 	int status;
- 	pid_t ret;
- 	
-+	if (_wapi_handle_issignalled (test)) {
-+		/* We've already done this one */
-+		return (FALSE);
-+	}
-+	
- 	ok = _wapi_lookup_handle (test, WAPI_HANDLE_PROCESS,
- 				  (gpointer *)&process);
- 	if (ok == FALSE) {
-@@ -104,14 +109,14 @@
- 	}
- 	
- 	do {
--		ret == waitpid (process->id, &status, WNOHANG);
-+		ret = waitpid (process->id, &status, WNOHANG);
- 	} while (errno == EINTR);
- 	
- 	if (ret <= 0) {
- 		/* Process not ready for wait */
- #ifdef DEBUG
--		g_message ("%s: Process %d not ready for waiting for",
--			   __func__, ret);
-+		g_message ("%s: Process %d not ready for waiting for: %s",
-+			   __func__, process->id, g_strerror (errno));
- #endif
- 
- 		return (FALSE);

Deleted: mono/trunk/debian/patches/s390_compile_fix.dpatch
===================================================================
--- mono/trunk/debian/patches/s390_compile_fix.dpatch	2006-04-05 17:01:20 UTC (rev 2397)
+++ mono/trunk/debian/patches/s390_compile_fix.dpatch	2006-04-05 21:17:11 UTC (rev 2398)
@@ -1,26 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## s390_compile_fix.dpatch by Mirco Bauer <meebey at meebey.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
-
- at DPATCH@
-diff -urNad mono-1.1.9.2~/mono/arch/s390/tramp.c mono-1.1.9.2/mono/arch/s390/tramp.c
---- mono-1.1.9.2~/mono/arch/s390/tramp.c	2005-10-16 19:55:57.000000000 +0200
-+++ mono-1.1.9.2/mono/arch/s390/tramp.c	2005-10-16 20:01:35.000000000 +0200
-@@ -649,6 +649,7 @@
- 				/* The callee has already placed the result */
- 				/* in the required area			    */
- 				/*------------------------------------------*/
-+				break;
- 			}
- 			break;
- 		case MONO_TYPE_VOID:
-@@ -1117,6 +1118,7 @@
- 					/*-------------------------------------------------*/
- 					/* stackval_to_data has placed data in result area */
- 					/*-------------------------------------------------*/
-+					break;
- 			}
- 			break;
- 		default:




More information about the Pkg-mono-svn-commits mailing list